<template>
    <div class="mb-3">
        <label :for="name" class="form-label">{{ label }}</label>
        <input
            :name="name"
            class="form-control"
            autocomplete="off"
            :class="{
                'is-invalid': error,
            }"
            :type="type"
            :placeholder="placeholder"
            :maxlength="maxlength"
            @input="$emit('input', $event.target.value)"
        />
        <span class="invalid-feedback">
            {{ error }}
        </span>
    </div>
</template>

<script>
export default {
    props: {
        label: {
            type: String,
            default: '',
        },
        placeholder: {
            type: String,
            default: '',
        },
        error: {
            type: String,
            default: '',
        },
        maxlength: {
            type: Number || String,
            default: 50,
        },
        type: {
            type: String,
            default: 'text',
        },
        name: {
            type: String,
            default: '',
            required: true,
        },
    },
    emits: ['input'],
};
</script>
